local M = {}

function M.init()
	require("nvim-web-devicons").setup({
		override = {
			html = {
				icon = "",
				color = "#DE8C92",
				name = "html",
			},
			css = {
				icon = "",
				color = "#61afef",
				name = "css",
			},
			js = {
				icon = "",
				color = "#EBCB8B",
				name = "js",
			},
			ts = {
				icon = "ﯤ",
				color = "#519ABA",
				name = "ts",
			},
			rs = {
				icon = "",
				color = "#FFAA30",
				name = "rs",
			},
			kt = {
				icon = "󱈙",
				color = "#ffcb91",
				name = "kt",
			},
			png = {
				icon = " ",
				color = "#BD77DC",
				name = "png",
			},
			jpg = {
				icon = " ",
				color = "#BD77DC",
				name = "jpg",
			},
			jpeg = {
				icon = " ",
				color = "#BD77DC",
				name = "jpeg",
			},
			mp3 = {
				icon = "",
				color = "#C8CCD4",
				name = "mp3",
			},
			mp4 = {
				icon = "",
				color = "#C8CCD4",
				name = "mp4",
			},
			out = {
				icon = "",
				color = "#C8CCD4",
				name = "out",
			},
			toml = {
				icon = "",
				color = "#61afef",
				name = "toml",
			},
			lock = {
				icon = "",
				color = "#DE6B74",
				name = "lock",
			},
			zip = {
				icon = "",
				color = "#EBCB8B",
				name = "zip",
			},
			xz = {
				icon = "",
				color = "#EBCB8B",
				name = "xz",
			},
		},
	})
end

return M
